Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.objects
Interface IVisitor

All Known Implementing Classes:
  Cloner, Visitor

    public interface IVisitor

Visitor interface. Implementations are expected to be functional (traversal results are propagated through return values rather than side effects) and external (responsibility for traversing the hierarchical structure is assigned to the 'visit' methods rather than the 'accept' counterparts).

Since:
  0.1.2
Version:
  0.1.2, 12/21/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Method Summary
`PdfObject` | `visit(ObjectStream object, Object data)` Visits an object stream.
`PdfObject` | `visit(PdfArray object, Object data)` Visits an object array.
`PdfObject` | `visit(PdfBoolean object, Object data)` Visits a boolean object.
`PdfObject` | `visit(PdfDataObject object, Object data)` Visits a data object.
`PdfObject` | `visit(PdfDate object, Object data)` Visits a date object.
`PdfObject` | `visit(PdfDictionary object, Object data)` Visits an object dictionary.
`PdfObject` | `visit(PdfIndirectObject object, Object data)` Visits an indirect object.
`PdfObject` | `visit(PdfInteger object, Object data)` Visits an integer-number object.
`PdfObject` | `visit(PdfName object, Object data)` Visits a name object.
`PdfObject` | `visit(PdfReal object, Object data)` Visits a real-number object.
`PdfObject` | `visit(PdfReference object, Object data)` Visits a reference object.
`PdfObject` | `visit(PdfStream object, Object data)` Visits a stream object.
`PdfObject` | `visit(PdfString object, Object data)` Visits a string object.
`PdfObject` | `visit(PdfTextString object, Object data)` Visits a text string object.
`PdfObject` | `visit(XRefStream object, Object data)` Visits a cross-reference stream object.

Method Detail

### visit

    PdfObject visit(ObjectStream object,
                    Object data)

  Visits an object stream.

  Parameters:
    `object` - Visited object.
    `data` - Supplemental data.
  Returns:
    Result object.

### visit

    PdfObject visit(PdfArray object,
                    Object data)

  Visits an object array.

  Parameters:
    `object` - Visited object.
    `data` - Supplemental data.
  Returns:
    Result object.

### visit

    PdfObject visit(PdfBoolean object,
                    Object data)

  Visits a boolean object.

  Parameters:
    `object` - Visited object.
    `data` - Supplemental data.
  Returns:
    Result object.

### visit

    PdfObject visit(PdfDataObject object,
                    Object data)

  Visits a data object.

  Parameters:
    `object` - Visited object.
    `data` - Supplemental data.
  Returns:
    Result object.

### visit

    PdfObject visit(PdfDate object,
                    Object data)

  Visits a date object.

  Parameters:
    `object` - Visited object.
    `data` - Supplemental data.
  Returns:
    Result object.

### visit

    PdfObject visit(PdfDictionary object,
                    Object data)

  Visits an object dictionary.

  Parameters:
    `object` - Visited object.
    `data` - Supplemental data.
  Returns:
    Result object.

### visit

    PdfObject visit(PdfIndirectObject object,
                    Object data)

  Visits an indirect object.

  Parameters:
    `object` - Visited object.
    `data` - Supplemental data.
  Returns:
    Result object.

### visit

    PdfObject visit(PdfInteger object,
                    Object data)

  Visits an integer-number object.

  Parameters:
    `object` - Visited object.
    `data` - Supplemental data.
  Returns:
    Result object.

### visit

    PdfObject visit(PdfName object,
                    Object data)

  Visits a name object.

  Parameters:
    `object` - Visited object.
    `data` - Supplemental data.
  Returns:
    Result object.

### visit

    PdfObject visit(PdfReal object,
                    Object data)

  Visits a real-number object.

  Parameters:
    `object` - Visited object.
    `data` - Supplemental data.
  Returns:
    Result object.

### visit

    PdfObject visit(PdfReference object,
                    Object data)

  Visits a reference object.

  Parameters:
    `object` - Visited object.
    `data` - Supplemental data.
  Returns:
    Result object.

### visit

    PdfObject visit(PdfStream object,
                    Object data)

  Visits a stream object.

  Parameters:
    `object` - Visited object.
    `data` - Supplemental data.
  Returns:
    Result object.

### visit

    PdfObject visit(PdfString object,
                    Object data)

  Visits a string object.

  Parameters:
    `object` - Visited object.
    `data` - Supplemental data.
  Returns:
    Result object.

### visit

    PdfObject visit(PdfTextString object,
                    Object data)

  Visits a text string object.

  Parameters:
    `object` - Visited object.
    `data` - Supplemental data.
  Returns:
    Result object.

### visit

    PdfObject visit(XRefStream object,
                    Object data)

  Visits a cross-reference stream object.

  Parameters:
    `object` - Visited object.
    `data` - Supplemental data.
  Returns:
    Result object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.